<?php

  # funciones para sacar por pantalla la portada de un tema concreto.
  # se hacen llamadas a comienzo, después se van pasando artículos
  # a la función verart, después se hace una llamada a intermedio,
  # se vuelve a pasar articulos a verartpeque, esta vez sin la parte
  # corta del artículo, y por último se recibe una llamada a finalizar.
  # hago uso del fichero general.php y de inferior() y superior()
  include ("vista/general.php");

  function comienzo($tema){
    superior();
    echo "<h2>$tema</h2>";
  }

  function verart($id,$titulo,$autor,$urlautor,$fecha,$corto){
    echo "<p><b><a href=\"articulo.php?id=$id\">$titulo</a></b> $fecha ";
    echo "<br><a href=\"$urlautor\">$autor</a> ";
    echo "<p><i>$corto</i>";
  }

  function intermedio(){
    echo "<hr>";
  }

  function verartpeque($id,$titulo,$autor,$urlauort,$fecha){
    echo "<br><a href=\"articulo.php?id=$id\">$titulo</a> $fecha ";
#   En la parte de noticias más antiguas prefiero no poner el autor
#   echo "<a href=\"$urlautor\">$autor</a> ";
  }

  function finalizar(){
    # esto es necesario para poder ver los artículos más antiguos,
    # puede eliminarlo si quiere y dejar solo inferior()
    global $id,$primero,$art_pri,$art_ant,$art_mas;
    if ($primero){
      $x=$primero+$art_mas;
    } else {
      $x=$art_pri+$art_ant;
    }
    echo "<br><a href=\"tema.php?id=$id&primero=$x\">Artículos anteriores</a>";
    ###############
    inferior();
  }
  
?>